package net.greencouchgames.ld27;

import org.andengine.entity.sprite.Sprite;
import org.andengine.util.color.Color;

public class e_Trail {
	Sprite spr;
	float maxtimer;
	float timer;
	float scale;
	float soff;
	
	public e_Trail(float x,float y,float t,Color c,float p,float s) {
		spr = new Sprite(x, y, Main.spr_circle, Main.root.getVertexBufferObjectManager());
		spr.setScaleCenter(8,8);
		soff = 1f/(t/(1f/60f))*p;
		spr.setScale(s-soff);
		spr.setColor(c);
		((s_Game) Main.root.scene).layer_part.attachChild(spr);
		maxtimer = timer = t;
		scale = s;
	}
}
